org.apache.ignite.internal.processors.cache

## Class GridCacheGateway<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheGateway<K,V>

    @GridToStringExclude
    public class GridCacheGateway<K,V>
    extends Object

Cache gateway.

### Constructor Summary

Constructors
Constructor and Description
`GridCacheGateway(GridCacheContext<K,V> ctx)`

### Method Summary

Methods
`void` `enter()` Enter a cache call.
`GridCacheProjectionImpl<K,V>` `enter(GridCacheProjectionImpl<K,V> prj)`
`void` `leave()` Leave a cache call entered by `enter()` method.
`void` `leave(GridCacheProjectionImpl<K,V> prev)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridCacheGateway

    public GridCacheGateway(GridCacheContext<K,V> ctx)

Parameters:
  `ctx` - Cache context.

### Method Detail

#### enter

    public void enter()

Enter a cache call.

#### leave

    public void leave()

Leave a cache call entered by `enter()` method.

#### enter

    @Nullable
    public GridCacheProjectionImpl<K,V> enter(@Nullable
                                              GridCacheProjectionImpl<K,V> prj)

Parameters:
  `prj` - Projection to guard.
Returns:
  Previous projection set on this thread.

#### leave

    public void leave(GridCacheProjectionImpl<K,V> prev)

Parameters:
  `prev` - Previous.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015